Katello - Bug #7283

Maximum call stack exceeded on GPG products page
08/27/2014 03:55 PM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: trivial Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/462
Description

On the GPG products page | get a maximum call stack exceeded (i.e. infinite loop) error:

RangeError: Maximum call stack size exceeded
at <error: RangeError: Maximum call stack size exceeded>
at <error: RangeError: Maximum call stack size exceeded>
at <error: RangeError: Maximum call stack size exceeded>
at <error: RangeError: Maximum call stack size exceeded>
at <error: RangeError: Maximum call stack size exceeded>
at <error: RangeError: Maximum call stack size exceeded>
at <error: RangeError: Maximum call stack size exceeded>
at <error: RangeError: Maximum call stack size exceeded>
at <error: RangeError: Maximum call stack size exceeded>

at <error: RangeError: Maximum call stack size exceeded> <!-- translate:

Steps to Reproduce

1. Go to gpg keys page

2. Create a gpg key if you don't already have one
3. Go to products page

4. Note above error

Associated revisions

Revision 1d1df26a - 08/28/2014 10:26 AM - Walden Raines

Fixes #7283: using translate directive in <span> to avoid infinite loop.
Changing this table header to use a child <span> with the translate
directive thus avoiding an infinite loop created by the interaction
between the translate and sortable directives.

http://projects.theforeman.org/issues/7283

Revision 4f13272c - 08/28/2014 10:26 AM - Walden Raines

Fixes #7283: using translate directive in <span> to avoid infinite loop.
Changing this table header to use a child <span> with the translate
directive thus avoiding an infinite loop created by the interaction
between the translate and sortable directives.

http://projects.theforeman.org/issues/7283

Revision 4a7a9180 - 08/28/2014 02:23 PM - Walden Raines
Merge pull request #4621 from waldenraines/7283

Fixes #7283: using translate directive in <span> to avoid infinite loop.
History

#1 - 08/27/2014 03:58 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4621 added
- Pull request deleted ()

#2 - 08/28/2014 03:02 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|1d1df26a3f641cc134f6474a2e546e29e5f5aeec.

#3 - 09/15/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
